=== debian/changelog ===
gecode (4.2.0-1) unstable; urgency=low

  * New upstream release (soname 35)
  * Bump debhelper compat to 9.

 -- Kari Pahula <kaol@debian.org>  Sat, 03 Aug 2013 21:00:55 +0300
