## gecode 4.2.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,8 +6,8 @@
 #     Victor Zverovich, 2013
 #
 #  Last modified:
-#     $Date: 2013-07-03 17:00:46 +0200 (Wed, 03 Jul 2013) $ by $Author: schulte $
-#     $Revision: 13788 $
+#     $Date: 2013-11-05 01:51:07 +0100 (Tue, 05 Nov 2013) $ by $Author: tack $
+#     $Revision: 14054 $
 #
 #  This file is part of Gecode, the generic constraint
 #  development environment:
@@ -37,7 +37,7 @@
 # CMake build script for Gecode.
 #
 
-cmake_minimum_required(VERSION 2.6)
+cmake_minimum_required(VERSION 2.8.8)
 
 project(GECODE)
 
@@ -207,13 +207,22 @@
   set(GECODE_THREADS_PTHREADS 1)
 endif ()
 
-find_package(Qt4)
-if (QT4_FOUND)
-  set(GECODE_HAS_QT "/**/")
-  set(GECODE_HAS_GIST "/**/")
-  set(EXTRA_LIBS gist)
-  include(${QT_USE_FILE})
-endif ()
+find_package(Qt5 QUIET COMPONENTS Core Gui Widgets PrintSupport)
+if (Qt5_FOUND)
+   set(GECODE_HAS_QT "/**/")
+   set(GECODE_HAS_GIST "/**/")
+   set(EXTRA_LIBS gist)
+   set(CMAKE_AUTOMOC TRUE)
+else()
+  find_package(Qt4)
+  if (QT4_FOUND)
+    set(GECODE_HAS_QT "/**/")
+    set(GECODE_HAS_GIST "/**/")
+    set(EXTRA_LIBS gist)
+    set(CMAKE_AUTOMOC TRUE)
+    include(${QT_USE_FILE})
+  endif()
+endif()
 
 include(CheckSymbolExists)
 check_symbol_exists(getpagesize unistd.h HAVE_GETPAGESIZE)
@@ -272,7 +281,7 @@
   if (line MATCHES "^#( *)undef (.*)\n")
     set(space "${CMAKE_MATCH_1}")
     set(var ${CMAKE_MATCH_2})
-    if (NOT DEFINED ${var} OR (var MATCHES "HAVE_.*_H" AND NOT ${var}))
+    if (NOT DEFINED ${var} OR (var MATCHES "HAVE_.*" AND NOT ${var}))
       set(line "/* #${space}undef ${var} */\n")
     else ()
       if ("${${var}}" STREQUAL "/**/" OR "${var}" STREQUAL "GECODE_VERSION_NUMBER" OR
@@ -303,6 +312,9 @@
 #define GECODE_BUILD_SET
 #define GECODE_BUILD_FLOAT
 #define GECODE_BUILD_MINIMODEL
+#define GECODE_BUILD_FLATZINC
+#define GECODE_BUILD_DRIVER
+#define GECODE_BUILD_GIST
 
 ${CONFIG_OUT}")
 
@@ -350,7 +362,11 @@
     string(TOUPPER ${lib} libupper)
   endif ()
   if (${libupper}SRC)
-    add_library(gecode${lib} ${${libupper}SRC} ${${libupper}HDR})
+    set(sources ${${libupper}SRC})
+    if (${libupper}_GENSRC)
+      set(sources ${sources} ${${libupper}_GENSRC})
+    endif()
+    add_library(gecode${lib} ${sources} ${${libupper}HDR})
   endif ()
 endforeach ()
 
@@ -362,19 +378,3 @@
 target_link_libraries(gecodeset gecodekernel)
 target_link_libraries(gecodeminimodel gecodeint gecodeset gecodesearch)
 
-if (GECODE_HAS_QT)
-  target_link_libraries(gecodeflatzinc ${QT_LIBRARIES})
-  target_link_libraries(gecodegist ${QT_LIBRARIES})
-endif ()
-
-if (FLOATSRC)
-  target_link_libraries(gecodefloat gecodekernel)
-  target_link_libraries(gecodeminimodel gecodefloat)
-endif ()
-
-add_executable(gecode-test ${TESTSRC} ${TESTHDR})
-target_link_libraries(gecode-test gecodeminimodel)
-
-enable_testing()
-add_test(test gecode-test
-  -iter 2 -test Branch::Int::Dense::3
