=== debian/changelog ===
gecode (4.2.1-1) unstable; urgency=low

  * New upstream release (soname 36)

 -- Kari Pahula <kaol@debian.org>  Sat, 09 Nov 2013 19:10:41 +0200
