=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Package: libgecode-dev
 Section: libdevel
 Architecture: any
-Depends: libgecode35 (= ${binary:Version}), libgecodegist35 (= ${binary:Version}), libgecodeflatzinc35 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}, libqt4-dev, libmpfr-dev
+Depends: libgecode36 (= ${binary:Version}), libgecodegist36 (= ${binary:Version}), libgecodeflatzinc36 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}, libqt4-dev, libmpfr-dev
 Suggests: libgecode-doc
 Description: generic constraint development environment
  Gecode is a toolkit for developing constraint-based systems and
@@ -43,7 +43,7 @@
  .
  This package has the API documentation and examples.
 
-Package: libgecode35
+Package: libgecode36
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -61,7 +61,7 @@
  level of efficiency as finite domain and integer set variables that
  come predefined with Gecode.
 
-Package: libgecodegist35
+Package: libgecodegist36
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -77,7 +77,7 @@
  programs.  They have been separated from the main Gecode library
  package to avoid pulling in Qt as a dependency.
 
-Package: libgecodeflatzinc35
+Package: libgecodeflatzinc36
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
