=== debian/rules ===
#!/usr/bin/make -f

DEB_CONFIGURE_EXTRA_FLAGS=--enable-gist --enable-qt --enable-float-vars --disable-examples --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
DEB_BUILD_PARALLEL=yes
DEB_MAKE_CHECK_TARGET=check LD_LIBRARY_PATH=.
DEB_DH_BUILDDEB_ARGS=-- -Zxz

include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/autoreconf.mk

ifeq (,$(findstring noopt,$(DEB_BUILD_OPTIONS))$(filter ia64 mipsel,$(DEB_HOST_ARCH)))
	CFLAGS += -O3
	CXXFLAGS += -O3
endif

CFLAGS += -D_REENTRANT $(CPPFLAGS)
CXXFLAGS += -D_REENTRANT $(CPPFLAGS)
DEB_CONFIGURE_EXTRA_FLAGS += DLLFLAGS="$(LDFLAGS)" GLDFLAGS="$(LDFLAGS)"

ChangeLog:
	$(MAKE) ChangeLog

common-install-prehook-impl:: ChangeLog

build/libgecode-doc::
	$(MAKE) doc

binary-fixup/libgecode-doc::
	find $(CURDIR)/debian/libgecode-doc/usr/share/doc/libgecode-doc/examples/ -type f -exec chmod 0644 '{}' ';'
	install -m 0644 -D debian/Makefile.examples $(CURDIR)/debian/libgecode-doc/usr/share/doc/libgecode-doc/examples/Makefile

binary-fixup/libgecode-dev::
	find $(CURDIR)/debian/libgecode-dev/usr/include -type f -exec chmod -x {} \;

common-binary-fixup-arch::
	for libso in `find debian/ -type f -regex 'debian/lib.*/lib.*\.so\.[0-9]+\.[0-9]+'`; do ln -s $${libso##*/} $${libso%.*}; done

binary/libgecode-doc::
	[ -e debian/libgecode-doc/usr/share/doc/libgecode-doc/html/ ]
