=== debian/changelog ===
gecode (4.4.0-3) unstable; urgency=medium

  * Library transition for GCC 5 (Closes: #791042)
    * Change library package name suffix to 41v5.

 -- Kari Pahula <kaol@debian.org>  Sun, 19 Jul 2015 18:32:00 +0300

gecode (4.4.0-2) unstable; urgency=medium

  * Switch over to Qt5.

 -- Kari Pahula <kaol@debian.org>  Thu, 07 May 2015 21:51:44 +0300

gecode (4.4.0-1) unstable; urgency=medium

  * New upstream release (soname 41)
  * Standards-Version 3.9.6 (no changes necessary).
  * Drop patch fix-powerpcspe.patch, as it is included upstream.
  * Add flex and bison to build deps and patch gecode.m4 to correctly
    recognize bison 3 and add a required declaration to parser.yxx.
  * Scrub a doxygen-added copy of jquery from libgecode-doc.  It's not
    used by any of its html files.

 -- Kari Pahula <kaol@debian.org>  Fri, 01 May 2015 09:37:57 +0300

gecode (4.2.1-2) unstable; urgency=medium

  * Fix FTBFS on powerpcspe. (Closes: #730089)
  * Standards-Version 3.9.5 (no changes necessary).

 -- Kari Pahula <kaol@debian.org>  Tue, 16 Sep 2014 20:30:43 +0300
