=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: gecode
 Priority: optional
 Maintainer: Kari Pahula <kaol@debian.org>
-Build-Depends: debhelper (>= 9), autotools-dev, libqt4-dev, cdbs (>= 0.4.93~), dh-autoreconf, libmpfr-dev
+Build-Depends: debhelper (>= 9), autotools-dev, cdbs (>= 0.4.93~), dh-autoreconf, libmpfr-dev, flex, bison, qtbase5-dev
 Build-Depends-Indep: graphviz, doxygen
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 Section: libs
 Homepage: http://www.gecode.org/
 
 Package: libgecode-dev
 Section: libdevel
 Architecture: any
-Depends: libgecode36 (= ${binary:Version}), libgecodegist36 (= ${binary:Version}), libgecodeflatzinc36 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}, libqt4-dev, libmpfr-dev
+Depends: libgecode41v5 (= ${binary:Version}), libgecodegist41v5 (= ${binary:Version}), libgecodeflatzinc41v5 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}, qtbase5-dev, libmpfr-dev
 Suggests: libgecode-doc
 Description: generic constraint development environment
  Gecode is a toolkit for developing constraint-based systems and
@@ -27,7 +27,7 @@
 Package: libgecode-doc
 Section: doc
 Architecture: all
-Depends: ${misc:Depends}
+Depends: ${misc:Depends}, libjs-jquery
 Suggests: libgecode-dev
 Description: generic constraint development environment
  Gecode is a toolkit for developing constraint-based systems and
@@ -43,12 +43,14 @@
  .
  This package has the API documentation and examples.
 
-Package: libgecode36
+Package: libgecode41v5
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Suggests: libgecode-dev
+Replaces: libgecode41
+Breaks: libgecode41
 Description: generic constraint development environment
  Gecode is a toolkit for developing constraint-based systems and
  applications. Gecode provides a constraint solver with
@@ -61,12 +63,14 @@
  level of efficiency as finite domain and integer set variables that
  come predefined with Gecode.
 
-Package: libgecodegist36
+Package: libgecodegist41v5
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Suggests: libgecode-dev
+Replaces: libgecodegist41
+Breaks: libgecodegist41
 Description: Gecode Interactive Search Tool library
  Gecode is a toolkit for developing constraint-based systems and
  applications. Gecode provides a constraint solver with
@@ -77,12 +81,14 @@
  programs.  They have been separated from the main Gecode library
  package to avoid pulling in Qt as a dependency.
 
-Package: libgecodeflatzinc36
+Package: libgecodeflatzinc41v5
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Suggests: libgecode-dev
+Replaces: libgecodeflatzinc41
+Breaks: libgecodeflatzinc41
 Homepage: http://www.gecode.org/flatzinc.html
 Description: Gecode support for FlatZinc modelling language
  Gecode is a toolkit for developing constraint-based systems and
@@ -114,6 +120,6 @@
  FlatZinc model and prints the solution (if any) on the standard
  output.
  .
- The FlatZinc interpreter that ships with Gecode version 4.2.0
+ The FlatZinc interpreter that ships with Gecode version 4.4.0
  supports the FlatZinc language and MiniZinc global constraint
  definitions of MiniZinc version 1.6.0.
