=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,10 @@
 #!/usr/bin/make -f
 
-DEB_CONFIGURE_EXTRA_FLAGS=--enable-gist --enable-qt --enable-float-vars --disable-examples --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
+DEB_CONFIGURE_EXTRA_FLAGS=--enable-gist --enable-qt --enable-float-vars --disable-examples --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) QT_SELECT=5
 DEB_BUILD_PARALLEL=yes
 DEB_MAKE_CHECK_TARGET=check LD_LIBRARY_PATH=.
 DEB_DH_BUILDDEB_ARGS=-- -Zxz
+DEB_MAKE_ENVVARS=QT_SELECT=5
 
 include /usr/share/cdbs/1/class/autotools.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
@@ -29,9 +30,11 @@
 binary-fixup/libgecode-doc::
 	find $(CURDIR)/debian/libgecode-doc/usr/share/doc/libgecode-doc/examples/ -type f -exec chmod 0644 '{}' ';'
 	install -m 0644 -D debian/Makefile.examples $(CURDIR)/debian/libgecode-doc/usr/share/doc/libgecode-doc/examples/Makefile
+	rm -f $(CURDIR)/debian/libgecode-doc/usr/share/doc/libgecode-doc/html/jquery.js
 
 binary-fixup/libgecode-dev::
 	find $(CURDIR)/debian/libgecode-dev/usr/include -type f -exec chmod -x {} \;
+	rm -f $(CURDIR)/debian/libgecode-dev/usr/include/gecode/third-party/boost/LICENSE_1_0.txt
 
 common-binary-fixup-arch::
 	for libso in `find debian/ -type f -regex 'debian/lib.*/lib.*\.so\.[0-9]+\.[0-9]+'`; do ln -s $${libso##*/} $${libso%.*}; done
