## gecode 5.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,8 +6,8 @@
 #     Victor Zverovich, 2013
 #
 #  Last modified:
-#     $Date: 2013-11-05 01:51:07 +0100 (Tue, 05 Nov 2013) $ by $Author: tack $
-#     $Revision: 14054 $
+#     $Date: 2016-09-06 17:50:13 +0200 (Tue, 06 Sep 2016) $ by $Author: tack $
+#     $Revision: 15165 $
 #
 #  This file is part of Gecode, the generic constraint
 #  development environment:
@@ -41,26 +41,21 @@
 
 project(GECODE)
 
-include_directories(${CMAKE_CURRENT_BINARY_DIR})
-include_directories(${CMAKE_CURRENT_SOURCE_DIR})
+set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/bin)
 
 include(CheckCXXCompilerFlag)
 if (GECODE_DISABLE_WARNINGS)
-  if (CMAKE_COMPILER_IS_GNUCXX)
-    add_definitions(-Wno-overloaded-virtual)
-    add_definitions(-Wno-switch)
-    add_definitions(-Wno-unused-parameter)
-    check_cxx_compiler_flag(
-      -Wno-unused-but-set-variable HAVE_WNO_UNUSED_BUT_SET_VARIABLE_FLAG)
-    if (HAVE_WNO_UNUSED_BUT_SET_VARIABLE_FLAG)
-      add_definitions(-Wno-unused-but-set-variable)
-    endif ()
-  elseif (MSVC)
-    foreach (flag_var
-             CMAKE_CXX_FLAGS CMAKE_CXX_FLAGS_DEBUG CMAKE_CXX_FLAGS_RELEASE
-             CMAKE_CXX_FLAGS_MINSIZEREL CMAKE_CXX_FLAGS_RELWITHDEBINFO)
-      string(REPLACE "/W3" "/w" ${flag_var} "${${flag_var}}")
-    endforeach()
+  if (MSVC)
+    add_definitions(/wd4244 /wd4267 /wd4345 /wd4355 /wd4800)
+  else ()
+    foreach (flag -Wextra -Wall -pedantic)
+      string(REPLACE ${flag} "" CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}")
+    endforeach ()
+    if (CMAKE_COMPILER_IS_GNUCXX)
+      add_definitions(-Wno-overloaded-virtual)
+    elseif (CMAKE_CXX_COMPILER_ID STREQUAL "Clang")
+      add_definitions(-Wno-constant-logical-operand -Wno-switch)
+    endif ()
   endif ()
 endif ()
 
@@ -195,6 +190,7 @@
 set(GECODE_HAS_SET_VARS "/**/")
 set(GECODE_HAS_FLOAT_VARS "/**/")
 set(GECODE_STATIC_LIBS 1)
+set(GECODE_ALLOCATOR "/**/")
 
 check_cxx_compiler_flag(-fvisibility=hidden HAVE_VISIBILITY_HIDDEN_FLAG)
 if (HAVE_VISIBILITY_HIDDEN_FLAG)
@@ -207,22 +203,25 @@
   set(GECODE_THREADS_PTHREADS 1)
 endif ()
 
-find_package(Qt5 QUIET COMPONENTS Core Gui Widgets PrintSupport)
-if (Qt5_FOUND)
-   set(GECODE_HAS_QT "/**/")
-   set(GECODE_HAS_GIST "/**/")
-   set(EXTRA_LIBS gist)
-   set(CMAKE_AUTOMOC TRUE)
-else()
-  find_package(Qt4)
-  if (QT4_FOUND)
-    set(GECODE_HAS_QT "/**/")
-    set(GECODE_HAS_GIST "/**/")
-    set(EXTRA_LIBS gist)
-    set(CMAKE_AUTOMOC TRUE)
-    include(${QT_USE_FILE})
+# Don't use Qt if GECODE_USE_QT is set to FALSE.
+if (NOT DEFINED GECODE_USE_QT OR GECODE_USE_QT)
+  find_package(Qt5 QUIET COMPONENTS Core Gui Widgets PrintSupport)
+  if (Qt5_FOUND)
+     set(GECODE_HAS_QT "/**/")
+     set(GECODE_HAS_GIST "/**/")
+     set(EXTRA_LIBS gist)
+     set(CMAKE_AUTOMOC TRUE)
+  else()
+    find_package(Qt4)
+    if (QT4_FOUND)
+      set(GECODE_HAS_QT "/**/")
+      set(GECODE_HAS_GIST "/**/")
+      set(EXTRA_LIBS gist)
+      set(CMAKE_AUTOMOC TRUE)
+      include(${QT_USE_FILE})
+    endif()
   endif()
-endif()
+endif ()
 
 include(CheckSymbolExists)
 check_symbol_exists(getpagesize unistd.h HAVE_GETPAGESIZE)
@@ -362,19 +361,20 @@
     string(TOUPPER ${lib} libupper)
   endif ()
   if (${libupper}SRC)
-    set(sources ${${libupper}SRC})
-    if (${libupper}_GENSRC)
-      set(sources ${sources} ${${libupper}_GENSRC})
-    endif()
+    set(sources )
+    foreach (src ${${libupper}SRC} ${${libupper}_GENSRC})
+      if ((src STREQUAL "gecode/support/thread/pthreads.cpp" AND MSVC) OR
+           src STREQUAL "gecode/float/rounding.cpp")
+        # ignore empty source files to prevent linker warnings
+      else ()
+        set(sources ${sources} ${src})
+      endif ()
+    endforeach ()
     add_library(gecode${lib} ${sources} ${${libupper}HDR})
+    target_include_directories(gecode${lib}
+      PUBLIC ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR})
   endif ()
 endforeach ()
 
 find_package(Threads)
 target_link_libraries(gecodesupport ${CMAKE_THREAD_LIBS_INIT})
-target_link_libraries(gecodekernel gecodesupport)
-target_link_libraries(gecodesearch gecodekernel)
-target_link_libraries(gecodeint gecodekernel)
-target_link_libraries(gecodeset gecodekernel)
-target_link_libraries(gecodeminimodel gecodeint gecodeset gecodesearch)
-
