=== debian/changelog ===
gecode (5.1.0-2build1) bionic; urgency=medium

  * No-change rebuild for mpfr soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 24 Jan 2018 21:22:26 +0000

gecode (5.1.0-2) unstable; urgency=medium

  * Use Debian's own Boost instead of the one included with Gecode.
    (Closes: #869696)
  * Pass --with-host-os=linux to configure to always use host_os=linux.
    (Closes: #869699)

 -- Kari Pahula <kaol@debian.org>  Sat, 29 Jul 2017 15:41:24 +0300

gecode (5.1.0-1) unstable; urgency=medium

  * New upstream release (soname 44)
    - fzn-gecode seems to work correctly now. (Closes: #861949)
  * Standards-Version 4.0.0 (no changes necessary).
  * Drop patch bison-3-support since upstream updated their build with
    similar change.
  * Remove mzn-gecode from flatzinc since mzn-fzn provided by minizinc
    provides that functionality.
  * Remove /usr/share/gecode/mznlib from flatzinc since minizinc comes
    with its own copy of it.
  * Add symlink /usr/bin/flatzinc to fzn-gecode.
  * Add recommends on minizinc to flatzinc.

 -- Kari Pahula <kaol@debian.org>  Tue, 18 Jul 2017 21:41:42 +0300

gecode (4.4.0-5) unstable; urgency=medium

  * Fix possible FTBFS with parallel invocation of bison and mv.  (Thanks
    to Adrian Bunk <bunk@debian.org>) (Closes: #863936)

 -- Kari Pahula <kaol@debian.org>  Fri, 02 Jun 2017 23:49:43 +0300

gecode (4.4.0-4) unstable; urgency=medium

  * Fix FTBFS on ppc64el on conversion of long long unsigned int to
    signed.  (Thanks to John Paul Adrian Glaubitz
    <glaubitz@physik.fu-berlin.de>) (Closes: #858132)
  * Add Build-Conflicts: libqt4-dev to force Qt5 usage.
  * Add some lintian overrides for false positives on typo checking.

 -- Kari Pahula <kaol@debian.org>  Sun, 19 Mar 2017 10:30:25 +0200
