=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: gecode
 Priority: optional
 Maintainer: Kari Pahula <kaol@debian.org>
-Build-Depends: debhelper (>= 9), autotools-dev, cdbs (>= 0.4.93~), dh-autoreconf, libmpfr-dev, flex, bison, qtbase5-dev
+Build-Depends: debhelper (>= 9), autotools-dev, cdbs (>= 0.4.93~), dh-autoreconf, libmpfr-dev, flex, bison, qtbase5-dev, libboost-dev
 Build-Depends-Indep: graphviz, doxygen
-Standards-Version: 3.9.6
+Build-Conflicts: libqt4-dev
+Standards-Version: 4.0.0
 Section: libs
 Homepage: http://www.gecode.org/
 
 Package: libgecode-dev
 Section: libdevel
 Architecture: any
-Depends: libgecode41v5 (= ${binary:Version}), libgecodegist41v5 (= ${binary:Version}), libgecodeflatzinc41v5 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}, qtbase5-dev, libmpfr-dev
+Depends: libgecode44 (= ${binary:Version}), libgecodegist44 (= ${binary:Version}), libgecodeflatzinc44 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}, qtbase5-dev, libmpfr-dev, libboost-dev
 Suggests: libgecode-doc
 Description: generic constraint development environment
  Gecode is a toolkit for developing constraint-based systems and
@@ -43,14 +44,12 @@
  .
  This package has the API documentation and examples.
 
-Package: libgecode41v5
+Package: libgecode44
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Suggests: libgecode-dev
-Replaces: libgecode41
-Breaks: libgecode41
 Description: generic constraint development environment
  Gecode is a toolkit for developing constraint-based systems and
  applications. Gecode provides a constraint solver with
@@ -63,14 +62,12 @@
  level of efficiency as finite domain and integer set variables that
  come predefined with Gecode.
 
-Package: libgecodegist41v5
+Package: libgecodegist44
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Suggests: libgecode-dev
-Replaces: libgecodegist41
-Breaks: libgecodegist41
 Description: Gecode Interactive Search Tool library
  Gecode is a toolkit for developing constraint-based systems and
  applications. Gecode provides a constraint solver with
@@ -81,14 +78,12 @@
  programs.  They have been separated from the main Gecode library
  package to avoid pulling in Qt as a dependency.
 
-Package: libgecodeflatzinc41v5
+Package: libgecodeflatzinc44
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Suggests: libgecode-dev
-Replaces: libgecodeflatzinc41
-Breaks: libgecodeflatzinc41
 Homepage: http://www.gecode.org/flatzinc.html
 Description: Gecode support for FlatZinc modelling language
  Gecode is a toolkit for developing constraint-based systems and
@@ -105,6 +100,7 @@
 Section: devel
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Recommends: minizinc
 Replaces: libgecode-dev (<< 3.7.0)
 Homepage: http://www.gecode.org/flatzinc.html
 Description: constraint problem modelling language
